org.wildfly.swarm.config.elytron

## Class AggregatePrincipalDecoder<T extends AggregatePrincipalDecoder<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.AggregatePrincipalDecoder<T>

-     public class AggregatePrincipalDecoder<T extends AggregatePrincipalDecoder<T>>
      extends Object

  A principal decoder definition where the principal decoder is an aggregation of other principal decoders.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggregatePrincipalDecoder(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `principalDecoder(String value)` The referenced principal decoders to aggregate.
    `List<String>` | `principalDecoders()` The referenced principal decoders to aggregate.
    `T` | `principalDecoders(List<String> value)` The referenced principal decoders to aggregate.
    `T` | `principalDecoders(String... args)` The referenced principal decoders to aggregate.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AggregatePrincipalDecoder

          public AggregatePrincipalDecoder(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### principalDecoders

          public List<String> principalDecoders()

      The referenced principal decoders to aggregate.

    - #### principalDecoders

          public T principalDecoders(List<String> value)

      The referenced principal decoders to aggregate.

    - #### principalDecoder

          public T principalDecoder(String value)

      The referenced principal decoders to aggregate.

    - #### principalDecoders

          public T principalDecoders(String... args)

      The referenced principal decoders to aggregate.

Copyright © 2018 JBoss by Red Hat. All rights reserved.